Package org.kapott.hbci.sepa.jaxb.camt_052_001_02

## Class CreditLine2

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_02.CreditLine2

    public class CreditLine2
    extends java.lang.Object

Java class for CreditLine2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CreditLine2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Incl" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}TrueFalseIndicator"/>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}ActiveOrHistoricCurrencyAndAmount" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected ActiveOrHistoricCurrencyAndAmount` `amt`
`protected boolean` `incl`

### Constructor Summary

Constructors
`CreditLine2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ActiveOrHistoricCurrencyAndAmount` `getAmt()` Gets the value of the amt property.
`boolean` `isIncl()` Gets the value of the incl property.
`void` `setAmt​(ActiveOrHistoricCurrencyAndAmount value)` Sets the value of the amt property.
`void` `setIncl​(boolean value)` Sets the value of the incl property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### incl

    protected boolean incl

#### amt

    protected ActiveOrHistoricCurrencyAndAmount amt

### Constructor Detail

#### CreditLine2

    public CreditLine2()

### Method Detail

#### isIncl

    public boolean isIncl()

Gets the value of the incl property.

#### setIncl

    public void setIncl​(boolean value)

Sets the value of the incl property.

#### getAmt

    public ActiveOrHistoricCurrencyAndAmount getAmt()

Gets the value of the amt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

#### setAmt

    public void setAmt​(ActiveOrHistoricCurrencyAndAmount value)

Sets the value of the amt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`